ActionLog

Gets the Action Log objects for a specific User in a specific date interval.

get

Access to Action Log objects not belonging to the current logged in user is granted only to administrative users.

Path parameters
strTokenstringRequired

The login token

strUserIDstringRequired

The ID of the User object

strDateFromstringOptional

The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff

strDateTostringOptional

The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff

Responses
chevron-right
200

Success

Response of a List Action Logs request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/api/v2/UserActionLogs/{strToken}/{strUserID}/{strDateFrom}/{strDateTo}
200

Success

Gets the Action Log objects for a specific Memori in a specific date interval.

get

Access to Action Log objects not belonging to the current logged in user is granted only to administrative users.

Path parameters
strTokenstringRequired

The login token

strMemoriIDstringRequired

The ID of the Memori object

strDateFromstringOptional

The optional begin of the date interval, in the format yyyyMMddHHmmssfff

strDateTostringOptional

The optional end of the date interval, in the format yyyyMMddHHmmssfff

Responses
chevron-right
200

Success

Response of a List Action Logs request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/api/v2/MemoriActionLogs/{strToken}/{strMemoriID}/{strDateFrom}/{strDateTo}
200

Success

Last updated